# Function signSendWait

- signSendWait<N, C>(chain, xfer, signer): Promise<TransactionId[]>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### chain: ChainContext<N, ChainToPlatform<C>, C>

  - ##### xfer: AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - ##### signer: Signer<N, C>

  #### Returns Promise<TransactionId[]>

  - Defined in connect/src/common.ts:12

Generated using TypeDoc